Bug 3363 - New locale request: tt_RU@iqtel
Summary: New locale request: tt_RU@iqtel
Status: RESOLVED FIXED
Alias: None
Product: glibc
Classification: Unclassified
Component: localedata (show other bugs)
Version: 2.4
: P2 normal
Target Milestone: ---
Assignee: GNU C Library Locale Maintainers
URL:
Keywords:
Depends on: 3326
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-13 00:53 IST by Reshat Sabiq
Modified: 2016-08-22 13:39 IST (History)
1 user (show)

See Also:
Host:
Target:
Build:
Last reconfirmed:
fweimer: security-


Attachments
Starter locale file by Yours truly. (1.62 KB, text/plain)
2006-10-13 01:07 IST, Reshat Sabiq
Details
Using UTF-8 instead of ISO-8859-9 (1.63 KB, text/plain)
2007-02-17 18:02 IST, Reshat Sabiq
Details
Same changes as last attachment (Using UTF-8 instead of ISO-8859-9), but as a patch file. (572 bytes, patch)
2007-02-17 23:59 IST, Reshat Sabiq
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Reshat Sabiq 2006-10-13 00:53:57 IST
Please initiate the following new locale for Qazan Tatar: tt_RU@iqtel.
iqtel is an abbreviated form of IQTElif, which is a variant of Latin alphabet
for Qazan Tatar.
I have been told that abbreviations are usually not allowed in glibc, so i'm
ready to re-submit as tt_RU@iqtelif, if that is applied to this case as well. I
wanted to give @iqtel a shot, however, because while modifier length doesn't
matter on a desktop, when the same modifier is used on the web, it would become
user-facing: i.e., users may need to type it in a URL, such as
tt-iqtel.somehost.dom. And it would be nice not to have different modifiers for
the web, and the desktop. With this consideration, i'd prefer @iqtel modifer if
at all possible. If not, i am ready to re-submit as @iqtelif.
Comment 1 Reshat Sabiq 2006-10-13 01:07:23 IST
Created attachment 1374 [details]
Starter locale file by Yours truly.

I'm using ISO-8859-9 in this file too, but the comments made for Crimean Tatar
are valid here as well: whatever is chosen there, would be appropriate here,
although here UTF-8 would be even more favorable. I can submit an updated file
w/ ISO-8859-9 replaced w/ UTF-8, if needed.
Comment 2 Ulrich Drepper 2007-02-17 08:36:42 IST
I've added the locale as tt_RU@iptelif.
Comment 3 Reshat Sabiq 2007-02-17 18:02:33 IST
Created attachment 1561 [details]
Using UTF-8 instead of ISO-8859-9

I intended to post this in time once a decision was made on crh_UA. Not a big
deal, but per prior discussion, i made a small update to use UTF-8 instead of
ISO-8859-9 in comments.

Also, i've checked the CVS, and the new locale is there. @iqtelif sounds good
as well: 2 characters more to type w/ more clarity involved is a sensible
trade-off. ;)

Thanks.
Comment 4 Reshat Sabiq 2007-02-17 23:59:04 IST
Created attachment 1562 [details]
Same changes as last attachment (Using UTF-8 instead of ISO-8859-9), but as a patch file.

Just in case it makes it easier.